GCLOUD_COMPUTE_INSTANCE-GROUPS_MANAGED_RESIZE(1)

NAME

gcloud compute instance-groups managed resize - set managed instance group size

SYNOPSIS

gcloud compute instance-groups managed resize NAME --size=SIZE [--region=REGION | --zone=ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups managed resize resize a managed instance group to a provided size. If you resize down, the Instance Group Manager service deletes instances from the group until the group reaches the desired size. To understand in what order instances will be deleted, see the API documentation. If you resize up, the service adds instances to the group using the current instance template until the group reaches the desired size.

POSITIONAL ARGUMENTS

    NAME
        The name of the managed instance group.

REQUIRED FLAGS

    --size=SIZE
        Target number of instances in managed instance group.

OPTIONAL FLAGS
At most one of these may be specified:

    --region=REGION
        The region of the managed instance group to operate on. If not specified, you will be prompted to select a region. A list of regions can be fetched by running:
        $ gcloud compute regions list
    Overrides the default compute/region property value for this command invocation.

    --zone=ZONE
        The zone of the managed instance group to operate on. If not specified, you will be prompted to select a zone. A list of zones can be fetched by running:
        $ gcloud compute zones list
    Overrides the default compute/zone property value for this command invocation.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.